%if 0%{?rhel}
%if 0%{?rhel} < 7
%global java_devel java7-devel
%if 0%{?centos}
%global log4j log4j
%else
%global log4j log4j-eap6
%endif
%else
%global java_devel java-devel >= 1.7.0
%global log4j log4j
%endif
%global log4j_jar %{log4j}/log4j.jar
%endif

%if 0%{?fedora}
%global java_devel java-devel >= 1.7.0
%if 0%{?fedora} < 21
%global log4j log4j
%global log4j_jar %{log4j}/log4j.jar
%else
%global log4j log4j12 >= 1.2.17-8
%global log4j_jar log4j-1.jar
%endif
%endif

%global make_common_opts \\\
	PREFIX=%{_prefix} \\\
	SYSCONF_DIR=%{_sysconfdir} \\\
	DATA_DIR=%{_datadir} \\\
	PKG_DATA_DIR=%{_datadir}/%{name} \\\
	%{nil}

Name:		ovirt-engine-extension-logger-log4j
Version:	1.0.3
Release:	0.0.master%{?dist}
License:	ASL 2.0
Summary:	oVirt Log4j Logger Extension
Group:		Virtualization/Management
URL:		http://www.ovirt.org
BuildArch:	noarch
Source:		http://resources.ovirt.org/pub/src/%{name}/%{name}-1.0.3_master.tar.gz

BuildRequires:	%{java_devel}
BuildRequires:	%{log4j}
BuildRequires:	ant
BuildRequires:	jpackage-utils
BuildRequires:	ovirt-engine-extensions-api

Requires:	%{log4j}
Requires:	ovirt-engine >= 3.5

%description
Log4j logger extensions for oVirt engine.

%prep
%setup -c -q

%build
cat > build.properties << __EOF__
package.display.name=%{name}-%{version}-%{release}
jar.log4j=$(build-classpath %{log4j_jar})
jar.ovirt-engine-extensions-api=$(build-classpath ovirt-engine/ovirt-engine-extensions-api)
__EOF__

make %{make_common_opts} all

%install
rm -fr "%{buildroot}"
make %{make_common_opts} install-no-build DESTDIR="%{buildroot}"

rm "%{buildroot}/usr/share/ovirt-engine-extension-logger-log4j/modules/org/ovirt/engine-extensions/logger/log4j/main/log4j.jar"
ln -s "$(build-classpath %{log4j_jar})" "%{buildroot}/usr/share/ovirt-engine-extension-logger-log4j/modules/org/ovirt/engine-extensions/logger/log4j/main/log4j.jar"

%files
%doc README
%{_datadir}/%{name}/
%{_sysconfdir}/ovirt-engine/engine.conf.d/20-%{name}.conf

%changelog
* Mon Mar 2 2015 Alon Bar-Lev <alonbl@redhat.com> 1.0.1-1
- Initial.

* Mon Dec 1 2014 Ravi Nori <rnori@redhat.com> 1.0.0-1
- Initial.
